Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## main
Class BackupView

    java.lang.Object
      org.jdesktop.application.AbstractBean
          org.jdesktop.application.View
              org.jdesktop.application.FrameView
                  main.BackupView

    public class BackupView

extends org.jdesktop.application.FrameView

The application's main frame.

Constructor Summary
`BackupView(org.jdesktop.application.SingleFrameApplication app)`

Method Summary
`void` | `backupFile()`
`void` | `deleteBackup()`
`void` | `hideWorking()`
`void` | `openFile()`
`void` | `recoverBackup()`
`void` | `removeFromSchedule()`
`void` | `searchBackups()`
`void` | `showAboutBox()`
`void` | `showConfigDialog()`
`void` | `showWorking()`
`void` | `schedule()`

Methods inherited from class org.jdesktop.application.FrameView
`getFrame, getRootPane, setFrame`

Methods inherited from class org.jdesktop.application.View
`getApplication, getComponent, getContext, getMenuBar, getResourceMap, getStatusBar, getToolBar, getToolBars, setComponent, setMenuBar, setStatusBar, setToolBar, setToolBars`

Methods inherited from class org.jdesktop.application.AbstractBean
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, getPropertyChangeListeners, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BackupView

    public BackupView(org.jdesktop.application.SingleFrameApplication app)

Method Detail

### showAboutBox

    @Action
    public void showAboutBox()

### showConfigDialog

    @Action
    public void showConfigDialog()

### showWorking

    public void showWorking()

### hideWorking

    public void hideWorking()

### openFile

    @Action
    public void openFile()

### backupFile

    @Action
    public void backupFile()

### searchBackups

    @Action
    public void searchBackups()

### recoverBackup

    @Action
    public void recoverBackup()

### deleteBackup

    @Action
    public void deleteBackup()

### schedule

    @Action
    public void schedule()
                  throws org.dom4j.DocumentException

  Throws:
    `org.dom4j.DocumentException`

### removeFromSchedule

    @Action
    public void removeFromSchedule()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD